# Crow: crow::utility::function_traits< T > Struct Template Reference

crow::utility::function_traits< T > Struct Template Reference

## Public Types

using | parent_t = function_traits< decltype(&T::operator())>
using | result_type = typename parent_t::result_type
template<size_t i>
using | arg = typename parent_t::template arg< i >

## Static Public Attributes

static const size_t | arity = parent_t::arity

The documentation for this struct was generated from the following file:

- /home/farook/cppsrv/crow-0.3-fordoc/include/crow/utility.h